package com.gic.haoban.manage.web.vo.content.statistics;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2023/3/23 11:43 AM
 * @Description
 * @Version
 * 导购纬度使用数据
 **/
public class MaterialClerkUsedDataVO implements Serializable {

    private static final long serialVersionUID = -6389925840088323751L;
    /**
     * 门店id
     */
    private String storeId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 是否离职 0否1是
     */
    private Integer isDimission;

    /**
     * 使用素材天数
     */
    private Integer useMatlDayNum;

    /**
     * 使用素材数
     */
    private Integer useMatlNum;

    /**
     * 单个素材平均使用次数
     */
    private BigDecimal singleMatlAvgCnt;


    /**
     * 线上转化客户数
     */
    private Integer convsUserNum;

    /**
     * 线上转化金额
     */
    private BigDecimal convsAmt;

    /**
     * 线下转化客户数
     */
    private Integer offlineConvsUserNum;

    /**
     * 线下转化金额
     */
    private BigDecimal offlineConvsAmt;

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getIsDimission() {
        return isDimission;
    }

    public void setIsDimission(Integer isDimission) {
        this.isDimission = isDimission;
    }

    public Integer getUseMatlDayNum() {
        return useMatlDayNum;
    }

    public void setUseMatlDayNum(Integer useMatlDayNum) {
        this.useMatlDayNum = useMatlDayNum;
    }

    public Integer getUseMatlNum() {
        return useMatlNum;
    }

    public void setUseMatlNum(Integer useMatlNum) {
        this.useMatlNum = useMatlNum;
    }

    public BigDecimal getSingleMatlAvgCnt() {
        return singleMatlAvgCnt;
    }

    public void setSingleMatlAvgCnt(BigDecimal singleMatlAvgCnt) {
        this.singleMatlAvgCnt = singleMatlAvgCnt;
    }

    public Integer getConvsUserNum() {
        return convsUserNum;
    }

    public void setConvsUserNum(Integer convsUserNum) {
        this.convsUserNum = convsUserNum;
    }

    public BigDecimal getConvsAmt() {
        return convsAmt;
    }

    public void setConvsAmt(BigDecimal convsAmt) {
        this.convsAmt = convsAmt;
    }

    public Integer getOfflineConvsUserNum() {
        return offlineConvsUserNum;
    }

    public void setOfflineConvsUserNum(Integer offlineConvsUserNum) {
        this.offlineConvsUserNum = offlineConvsUserNum;
    }

    public BigDecimal getOfflineConvsAmt() {
        return offlineConvsAmt;
    }

    public void setOfflineConvsAmt(BigDecimal offlineConvsAmt) {
        this.offlineConvsAmt = offlineConvsAmt;
    }
}
